apiVersion: v1
items:
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      cdi.kubevirt.io/storage.condition.running: "false"
      cdi.kubevirt.io/storage.condition.running.message: Import Complete
      cdi.kubevirt.io/storage.condition.running.reason: Completed
      cdi.kubevirt.io/storage.contentType: kubevirt
      cdi.kubevirt.io/storage.deleteAfterCompletion: "true"
      cdi.kubevirt.io/storage.import.endpoint: https://access.cdn.redhat.com/content/origin/files/sha256/92/92862e085e4d5690cfa57de7155aa29bfdf21feec3d46dd4b61ca63293312af7/rhel-baseos-9.0-x86_64-kvm.qcow2?user=015342d8aa4aa5d27c65fdfc116424c1&_auth_=1687284376_de1dce23515f6ef2ab4f513cfb3115a3
      cdi.kubevirt.io/storage.import.importPodName: importer-testvm-default
      cdi.kubevirt.io/storage.import.source: http
      cdi.kubevirt.io/storage.pod.phase: Succeeded
      cdi.kubevirt.io/storage.pod.restarts: "0"
      cdi.kubevirt.io/storage.preallocation.requested: "false"
      pv.kubernetes.io/bind-completed: "yes"
      pv.kubernetes.io/bound-by-controller: "yes"
      volume.beta.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
      volume.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
    creationTimestamp: "2023-06-20T14:06:58Z"
    finalizers:
    - kubernetes.io/pvc-protection
    - provisioner.storage.kubernetes.io/cloning-protection
    labels:
      app: containerized-data-importer
      app.kubernetes.io/component: storage
      app.kubernetes.io/managed-by: cdi-controller
      app.kubernetes.io/part-of: hyperconverged-cluster
      app.kubernetes.io/version: 4.12.3
    name: testvm-default
    namespace: default
    ownerReferences:
    - apiVersion: kubevirt.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: VirtualMachine
      name: testvm-default
      uid: f9689faa-0c4f-4235-b46f-884079630783
    resourceVersion: "13479860"
    uid: e5358d15-6cfb-4968-a666-bcee86fe2420
  spec:
    accessModes:
    - ReadWriteMany
    resources:
      requests:
        storage: "32212254720"
    storageClassName: ocs-storagecluster-ceph-rbd
    volumeMode: Block
    volumeName: pvc-e5358d15-6cfb-4968-a666-bcee86fe2420
  status:
    accessModes:
    - ReadWriteMany
    capacity:
      storage: 30Gi
    phase: Bound
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      volume.beta.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
      volume.kubernetes.io/storage-provisioner: openshift-storage.rbd.csi.ceph.com
    creationTimestamp: "2023-06-20T14:11:44Z"
    finalizers:
    - kubernetes.io/pvc-protection
    name: testvm-default-clone
    namespace: default
    resourceVersion: "13479857"
    uid: 00b44291-d11b-48c4-a869-eb2854e144ce
  spec:
    accessModes:
    - ReadWriteMany
    dataSource:
      apiGroup: ""
      kind: PersistentVolumeClaim
      name: testvm-default
    dataSourceRef:
      apiGroup: ""
      kind: PersistentVolumeClaim
      name: testvm-default
    resources:
      requests:
        storage: "9223372036854775807"
    storageClassName: ocs-storagecluster-ceph-rbd
    volumeMode: Block
  status:
    phase: Pending
kind: List
metadata:
  resourceVersion: ""
